<?xml version="1.0" encoding="UTF-8"?>
<!--
IGAC proyecto SNC

@author javier.aponte

@description  página en la que se muestra gráficamente la ocupación de un ejecutor, además del resumen
        de los trámites asignados a éste, fue necesario duplicar la página que ya estaba en asignación
        por al tratar de parametrizarla se presentaron problemas con el nombre del managed bean que se
        le enviaba como parametro 


@param  thisWVNameParam  nombre de widgetvar del componente donde se usa esta ventana
-->

<!--
@modified  pedro.garcia  25-10-2013  como es copy y paste de la mia, se hacen cambios para que la presentación quede igual.
        Uso de parámetro thisWVNameParam
-->

<h:form id="cargaTramitesEjecutorForm" prependId="false"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"	>

    <p:spacer height="20" width="0" />

    <p:outputPanel layout="block" style="text-align: center">
        <h:outputLabel value="Nombre del funcionario ejecutor: "
                       styleClass="outputLabelStyle" />
        <h:outputText
            value="#{administracionAsignaciones.ejecutorSeleccionado.funcionario}"
            styleClass="outputTextStyle" />
    </p:outputPanel>

    <p:spacer height="20" width="0" />

    <h:panelGrid columns="2" width="100%">
        <p:graphicImage value="#{administracionAsignaciones.chartTerreno}" cache="false"/>

        <p:graphicImage value="#{administracionAsignaciones.chartOficina}" cache="false"/>
    </h:panelGrid>

    <p:spacer height="20" width="0" />

    <p:dataTable var="tramites" id="tablaTrams"	paginatorPosition="bottom"
                 paginator="true" rows = "10" 
                 paginatorTemplate = "{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="5,10,15"
                 value="#{administracionAsignaciones.assignedTramitesAEjecutor}"
                 emptyMessage="No se encontraron tramites asignados al ejecutor">

        <f:facet name="header">
            Carga de trámites del funcionario ejecutor
        </f:facet>

        <p:column headerText="Número de radicación">
            <h:outputText value="#{tramites.numeroRadicacion}"
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Fecha de radicación">
            <h:outputText value="#{tramites.fechaRadicacion}" 
                          styleClass="outputTextStyleInTable">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" 
                                   locale="es" />
            </h:outputText>
        </p:column>

        <p:column headerText="Tipo de trámite">
            <h:outputText value="#{tramites.tipoTramiteCadenaCompleto}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText value="#{tramites.predio.municipio.nombre}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Clasificación">
            <h:outputText value="#{tramites.clasificacion}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

    </p:dataTable>

    <p:spacer height="30" width="0" />

    <p:outputPanel layout="block" style="text-align:right">
        <p:spacer width="10" />
        <p:commandButton value="Cerrar" 
                         onclick="#{thisWVNameParam}.hide()"
                         icon="ui-icon-close" />
        <p:spacer width="5" />
    </p:outputPanel>


</h:form>